/*
 * main.c
 *
 *  Created on: 01.10.2009
 *      Author: let
 */

#include <timer.h>
#include <defines.h>
#include <uart.h>
#include <rprintf.h>
#include "portdef.h"

static int myputchar(int ch)
{
	uart_writeData(UART_0, ch);

	return 0;
}

int main(void)
{
	timer_init();
	
	IntEnable();
	SET_DDR_OUT(P_LED);
	
	uart_setMode(UART_0, DATABITS_8, PARITY_NONE, STOPBIT_1);
	uart_setBaudrate(UART_0, BAUD_115200);
	uart_enable(UART_0, LAYOUT_FIRST, false);
	uart_setReadCallback(UART_0, myputchar); // empfangene Zeichen gleich wieder zurueckschicken
	
	rprintf_devopen(myputchar);
	rprintf("Hello, World.\n");

	for (;;) {
		SETPIN(P_LED);
		delay_ms(200);
		CLRPIN(P_LED);
		delay_ms(200);
	}
	
	return 0;
}

